Subject: Re: 8xx: Work around CPU15 erratum.

From: Ben Gardiner <[email-masked]>
Date: Wed, 14 May 2008 16:17:30 -0400

Dan Malek wrote:
>
> On May 14, 2008, at 10:52 AM, Ben Gardiner wrote:
>
>> So there likely are reasons why the following is not possible:
>
> That's way too much code for a tlb exception handler.
> From a system resource perspective, you are much better
> off with a small and efficient piece of tlb loading code,
> always invalidating pages on both ends and taking the
> tlb exception fault.   Unfortunately, this could cause some
> thrashing edge cases, so a little intelligence would be
> needed.   Exception processing isn't free, and it quickly
> destroys the cache footprint of your application, further
> slowing down the entire system.  The tlb reload handler
> goal should be maximum of 8 instructions and 4 memory
> accesses, not 4K of elaborate conditional testing.  :-)
>
> Thanks.
>
>     -- Dan
>
Hi Dan,
Thanks for the rapid reply :) I really appreciate you giving me an 
answer "from the horse's mouth." I would still like to experiment a 
little and I'm not really sure it is safe to use any bits in a PTE.

Assuming I was crazy enough to ruin my cache footprint; are there any 
three bits in the PTE that are safe to use for some page status 
information?

Best Regards,
Ben